package ec.edu.epn.consumosriautorizacion.controller;



import ec.edu.epn.consumosriautorizacion.dto.FacturaDTO;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class GeneracionFactOfflineXML {


    public String generacionXml(FacturaDTO factura) throws IOException {

        String pathXml= "";

        BufferedWriter writer = null;

        pathXml = "/FacturaUtils/" +  factura.getRucCli().trim() + "-" + factura.getIdFactura().trim() + ".xml";
        File file = new File(pathXml);

        try {
            writer = new BufferedWriter(new FileWriter(file));
            writer.write(factura.getXml());
            return pathXml;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        } finally {

            if (writer != null) {
                writer.close();
            }
        }
    }
}
